#!/bin/sh


_help()
{
	echo "Usage: $0 [mode]"
	echo "\txn: Extract notes to $TODOTXTPATH and $VIMWIKIPATH."
	echo "\tsn: Store notes from $TODOTXTPATH and $VIMWIKIPATH."
	exit 1
}


_extract_notes()
{
	if [ ! -e "./archive.tar.gz" ];
	then
		echo "archive.tar.gz does not exist."
		exit 1
	fi
	mkdir tmp
	tar xzf archive.tar.gz -C .
	mv ./wiki $(dirname $VIMWIKIPATH)
	mv ./todo.txt $TODOTXTPATH
	rm -r ./tmp
	echo "Notes successfully extracted from archive."
	exit 0
}

_storage_notes()
{
	mkdir tmp
	cp $TODOTXTPATH ./tmp/
	cp -r $VIMWIKIPATH ./tmp/
	tar czf archive.tar.gz ./tmp/
	rm -r tmp
	echo "Notes successfully stored!"
	exit 0
}


if [ -z "$VIMWIKIPATH" ];
then 
	echo "VIMWIKIPATH not set."
	exit 1
fi

if [ -z "$TODOTXTPATH" ];
then 
	echo "TODOTXTPATH not set."
	exit 1
fi


case "$1" in
	sn ) _storage_notes ;;
	xn ) _extract_notes ;;
	* ) _help ;;
esac

